CGI/Perl Guide | Learning Center | Forums | Advertise | Login
Site Search: in

  Main Index MAIN
INDEX
Search Posts SEARCH
POSTS
Who's Online WHO'S
ONLINE
Log in LOG
IN

Home: Perl Programming Help: Beginner:
warning when installing perl module

 



oscarjiao
Novice

Apr 16, 2013, 3:08 PM

Post #1 of 2 (292 views)
warning when installing perl module Can't Post

I was installing some perl modules via CPAN and got a lot of warnings like this:

Code
Writing Makefile for ExtUtils::CBuilder 
Writing MYMETA.yml and MYMETA.json
---- Unsatisfied dependencies detected during ----
---- DAGOLDEN/ExtUtils-CBuilder-0.280205.tar.gz ----
File::Spec [requires]
IPC::Cmd [requires]
Perl::OSType [requires]
Shall I follow them and prepend them to the queue
of modules we are processing right now? [yes]


Is this normal? Does it mean I need to install File::Spec IPC::Cmd and Perl::OSType before ExtUtils::CBuilder? If I answered "yes", would it automatically install these prerequesite modules before the one I am actually trying to install?


FishMonger
Veteran / Moderator

Apr 17, 2013, 6:40 AM

Post #2 of 2 (282 views)
Re: [oscarjiao] warning when installing perl module [In reply to] Can't Post


Quote
Does it mean I need to install File::Spec IPC::Cmd and Perl::OSType before ExtUtils::CBuilder?

Yes, that's what it means.


Quote
If I answered "yes", would it automatically install these prerequesite modules before the one I am actually trying to install?

Yes

 
 


Search for (options) Powered by Gossamer Forum v.1.2.0

Web Applications & Managed Hosting Powered by Gossamer Threads
Visit our Mailing List Archives